# FoundationClasses
TKernel
TColStd

# TColStd_Array2OfBoolean Class Reference

`#include <TColStd_Array2OfBoolean.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_Array2OfBoolean (const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT | TColStd_Array2OfBoolean (const Standard_Boolean &Item, const Standard_Integer R1, const Standard_Integer R2, const Standard_Integer C1, const Standard_Integer C2)
Standard_EXPORT void | Init (const Standard_Boolean &V)
Standard_EXPORT void | Destroy ()
| ~TColStd_Array2OfBoolean ()
Standard_EXPORT const TColStd_Array2OfBoolean & | Assign (const TColStd_Array2OfBoolean &Other)
const TColStd_Array2OfBoolean & | operator= (const TColStd_Array2OfBoolean &Other)
Standard_Integer | ColLength () const
Standard_Integer | RowLength () const
Standard_Integer | LowerCol () const
Standard_Integer | LowerRow () const
Standard_Integer | UpperCol () const
Standard_Integer | UpperRow () const
void | SetValue (const Standard_Integer Row, const Standard_Integer Col, const Standard_Boolean &Value)
const Standard_Boolean & | Value (const Standard_Integer Row, const Standard_Integer Col) const
const Standard_Boolean & | operator() (const Standard_Integer Row, const Standard_Integer Col) const
Standard_Boolean & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col)
Standard_Boolean & | operator() (const Standard_Integer Row, const Standard_Integer Col)

## Private Member Functions

Standard_EXPORT | TColStd_Array2OfBoolean (const TColStd_Array2OfBoolean &AnArray)
Standard_EXPORT void | Allocate ()

## Private Attributes

Standard_Integer | myLowerRow
Standard_Integer | myLowerColumn
Standard_Integer | myUpperRow
Standard_Integer | myUpperColumn
Standard_Boolean | myDeletable
Standard_Address | myData

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_Array2OfBoolean::TColStd_Array2OfBoolean | ( | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

Standard_EXPORT TColStd_Array2OfBoolean::TColStd_Array2OfBoolean | ( | const Standard_Boolean & | Item,
|  | const Standard_Integer | R1,
|  | const Standard_Integer | R2,
|  | const Standard_Integer | C1,
|  | const Standard_Integer | C2
| ) |

TColStd_Array2OfBoolean::~TColStd_Array2OfBoolean | ( |  | ) | `[inline]`

Standard_EXPORT TColStd_Array2OfBoolean::TColStd_Array2OfBoolean | ( | const TColStd_Array2OfBoolean & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TColStd_Array2OfBoolean::Allocate | ( |  | ) | `[private]`

Standard_EXPORT const TColStd_Array2OfBoolean& TColStd_Array2OfBoolean::Assign | ( | const TColStd_Array2OfBoolean & | Other | ) |

Standard_Boolean& TColStd_Array2OfBoolean::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) |

Standard_Integer TColStd_Array2OfBoolean::ColLength | ( |  | ) | const

Standard_EXPORT void TColStd_Array2OfBoolean::Destroy | ( |  | ) |

Standard_EXPORT void TColStd_Array2OfBoolean::Init | ( | const Standard_Boolean & | V | ) |

Standard_Integer TColStd_Array2OfBoolean::LowerCol | ( |  | ) | const

Standard_Integer TColStd_Array2OfBoolean::LowerRow | ( |  | ) | const

void TColStd_Array2OfBoolean::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TColStd_Array2OfBoolean::operator new | ( | size_t | size | ) | `[inline]`

void* TColStd_Array2OfBoolean::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Boolean& TColStd_Array2OfBoolean::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | `[inline]`

const Standard_Boolean& TColStd_Array2OfBoolean::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const`[inline]`

const TColStd_Array2OfBoolean& TColStd_Array2OfBoolean::operator= | ( | const TColStd_Array2OfBoolean & | Other | ) | `[inline]`

Standard_Integer TColStd_Array2OfBoolean::RowLength | ( |  | ) | const

void TColStd_Array2OfBoolean::SetValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_Boolean & | Value
| ) |

Standard_Integer TColStd_Array2OfBoolean::UpperCol | ( |  | ) | const

Standard_Integer TColStd_Array2OfBoolean::UpperRow | ( |  | ) | const

const Standard_Boolean& TColStd_Array2OfBoolean::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col
| ) | const

## Field Documentation

Standard_Address TColStd_Array2OfBoolean::myData `[private]`

Standard_Boolean TColStd_Array2OfBoolean::myDeletable `[private]`

Standard_Integer TColStd_Array2OfBoolean::myLowerColumn `[private]`

Standard_Integer TColStd_Array2OfBoolean::myLowerRow `[private]`

Standard_Integer TColStd_Array2OfBoolean::myUpperColumn `[private]`

Standard_Integer TColStd_Array2OfBoolean::myUpperRow `[private]`

The documentation for this class was generated from the following file:

- TColStd_Array2OfBoolean.hxx